# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/lg,ld070wx3-sl01.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: LG Corporation 7" WXGA TFT LCD panel

maintainers:
  - Svyatoslav Ryhel <clamor95@gmail.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    items:
      - const: lg,ld070wx3-sl01

  reg:
    maxItems: 1

  vdd-supply: true
  vcc-supply: true

  backlight: true
  port: true

required:
  - compatible
  - vdd-supply
  - vcc-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "lg,ld070wx3-sl01";
            reg = <0>;

            vdd-supply = <&vdd_3v3_lcd>;
            vcc-supply = <&vcc_1v8_lcd>;

            backlight = <&backlight>;

            port {
                endpoint {
                    remote-endpoint = <&dsi0_out>;
                };
            };
        };
    };
...
